| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bbild.cpp File Reference

Generates BILD output from a model. More...

`#include "rwmodel.h"`
`#include "rwmodel_bild.h"`
`#include "model_select.h"`
`#include "model_links.h"`
`#include "model_util.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Generates BILD output from a model.

Author
  Bernard Heymann

Date
  Created: 20080521
  Modified: 20160616

Definition in file bbild.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 46 of file bbild.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bbild [options] in1.star [in2.star ...]",
"----------------------------------------------",
"Generates BILD output from a model.",
" ",
"Actions:",
"-all Reset selection to all models before other selections.",
"-type poly Type of BILD output: views, polygons or neighbors.",
"-linklength 56.3 Generate links with this maximum length.",
"-color spectrum Color selection or polygons: spectrum=red->blue, density, fom.",
" ",
"Parameters:",
"-verbose 7 Verbose output.",
"-componentradius 8.4 Set display radius for all components.",
"-linkradius 5.1 Set display radius for all links.",
" ",
"Output:",
"-output file.bild Output model file.",
" ",
NULL
}

Definition at line 23 of file bbild.cpp.

## ◆ verbose

int verbose